Create periodic jobs for scenarios

These jobs will be used for promoting scenarios based on deployment
and testing on baremetal.

The jobs are currently triggered daily without checking if anything
changed. This will be updated and they will only be triggered if
infra/engine or infra/swconfig/<scenario> change so we build only
when something happens.

Promotion logic is not implemented yet and will be done in a separate
change.

In addition to periodic jobs for scenarios, trigger for baremetal
engine periodic job is switched to daily in order to free up time
for scenario periodic jobs.

And as usual, lots of duplications here and there and these will be
fixed by refactoring jobs and scripts once the basic pipeline is
in place.

Change-Id: Iaf0da0191fbde1abad60b5ca14dd191095fac761
diff --git a/jjb/cloud-infra/scenario-yardstick.sh b/jjb/cloud-infra/scenario-yardstick.sh
new file mode 100644
index 0000000..d74f47a
--- /dev/null
+++ b/jjb/cloud-infra/scenario-yardstick.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# This script is a wrapper around actual cloud infra engine test.sh script which gets
+# executed when the job that uses this script gets triggered due to Gerrit change.
+#
+# Logic in this script should be kept at minimum and the changes should be pushed into
+# the cloud infra test test.sh script.
+
+# execute cloud engine test.sh script with arguments
+cd $WORKSPACE
+./test/test.sh -c -f $TEST_FW -t $TEST_SUITE -s $DEPLOY_SCENARIO -d $YARDSTICK_DISPATCHER
+
+# vim: set ts=2 sw=2 expandtab: